#!/bin/bash
# weirdvars.sh : Affiche des variables bizarres.

var="'(]\\{}\$\""
echo $var        # '(]\{}$"
echo "$var"      # '(]\{}$"     Aucune différence.

echo

IFS='\'
echo $var        # '(] {}$"     \ converti en espace. Pourquoi ?
echo "$var"      # '(]\{}$"

# Exemples ci-dessus fournis par Stéphane Chazelas.

exit 0
